## giara 0.3

=== meson_options.txt ===
option (
    'profile',
    type: 'combo',
    choices: [
        'default',
        'development'
    ],
    value: 'default'
)

## giara 0.2+git20201101

=== debian/changelog ===
giara (0.2+git20201101-0.1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Use correct versioning scheme for a newer pull from git.
  * Bump up to dh compat 10.
  * Drop dh-autoreconf in build-deps and in rules, as it's default with dh 10.
  * Add missing gir1.2-gtksource-4 to depends.
  * Fix incorrect copyright file.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 02 Nov 2020 17:52:53 -0800

giara (0.2~git20201101-0build2~ubuntu2010) groovy; urgency=medium

  * First build of giara Reddit client.

 -- pandajim (key for lives deb) <ubuntuhandbook1@gmail.com>  Tue, 05 Nov 2019 21:49:19 +0000

=== debian/control ===
Source: giara
Section: gnome
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: pandajim (key for lives deb) <ubuntuhandbook1@gmail.com>
Homepage: https://giara.gabmus.org
Standards-Version: 3.9.7
X-Python3-Version: >= 3.7
Build-Depends: cmake,
               debhelper (>= 10),
               intltool,
               libgdk-pixbuf2.0-dev,
               libgirepository1.0-dev,
               libglib2.0-dev,
               libhandy-1-dev,
               meson (>= 0.5.0),
               pkg-config,
               python3 (>= 3.7),
               python3-bs4,
               python3-mistune,
               python3-pil,
               python3-praw,
               python3-requests

Package: giara
Architecture: all
Depends: gir1.2-appindicator3-0.1,
         gir1.2-gst-plugins-base-1.0,
         gir1.2-gstreamer-1.0,
         gir1.2-gtk-3.0,
         gir1.2-gtksource-4,
         gir1.2-handy-1,
         gir1.2-keybinder-3.0,
         gir1.2-secret-1,
         gnome-icon-theme-symbolic,
         gnome-keyring,
         gstreamer1.0-plugins-bad,
         gstreamer1.0-plugins-good,
         python3-bs4,
         python3-gi,
         python3-gi-cairo,
         python3-mistune,
         python3-pil,
         python3-praw,
         python3-pylast,
         python3-requests,
         ${autoreconf:Depends},
         ${misc:Depends}
Description: standalone Reddit client
 Giara is a standalone Reddit client, built with Python, GTK and Handy, created
 with mobile Linux in mind.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_strip:
	dh_strip --no-automatic-dbgsym

## giara 0.3

=== debian/changelog ===
giara (0.3-2) unstable; urgency=medium

  * Initial packaging (Closes: #975363)

 -- Federico Ceratto <federico@debian.org>  Sat, 12 Dec 2020 22:59:11 +0000

=== debian/control ===
Source: giara
Maintainer: Federico Ceratto <federico@debian.org>
Section: utils
Priority: optional
Build-Depends: debhelper-compat (= 13),
 cmake,
 dh-python,
 gobject-introspection (>= 1.35.9),
 libgirepository1.0-dev,
 libglib2.0-0,
 libglib2.0-dev,
 libgtk-3-dev,
 meson,
 python3-all,
 python3-requests,
 python3-setuptools
Standards-Version: 4.5.1
Homepage: https://gitlab.gnome.org/World/giara
Vcs-Git: https://salsa.debian.org/debian/giara.git
Vcs-Browser: https://salsa.debian.org/debian/giara
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: giara
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends},
 gir1.2-gtksource-4,
 gir1.2-webkit2-4.0,
 python3-dateutil,
 python3-mistune,
 python3-requests,
 python3-bs4,
 python3-praw
Description: Reddit client optimized for mobile devices
 A client for Reddit that works well on a small screen.
 Written in Python with GTK/Libhandy.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=giara
export DH_VERBOSE=1
#export PYBUILD_TEST_ARGS=--ignore=gitlab/tests/objects/test_todos.py

# define DEB_VERSION
include /usr/share/dpkg/default.mk

%:
	#dh $@ --with python3 --buildsystem=pybuild
	dh $@ --with=python3


#override_dh_auto_install:
#	dh_auto_install
#	mkdir -p debian/gitlab-cli/usr/bin
#	mv debian/python3-gitlab/usr/bin/gitlab debian/gitlab-cli/usr/bin/python-gitlab

#override_dh_installchangelogs:
#	dh_installchangelogs ChangeLog.rst

## giara 1.0.1

=== debian/changelog ===
giara (1.0.1-2) unstable; urgency=medium

  * Set supported CPU architectures

 -- Federico Ceratto <federico@debian.org>  Sun, 08 Jan 2023 19:56:32 +0000

giara (1.0.1-1) unstable; urgency=medium

  * New upstream release (Closes: #1003570)
  * Add libhandy dependency (Closes: #996857, #1001966)

 -- Federico Ceratto <federico@debian.org>  Sun, 13 Nov 2022 12:57:46 +0000

giara (0.3-3) unstable; urgency=medium

  * Fix import path (Closes: #997939)

 -- Federico Ceratto <federico@debian.org>  Sat, 11 Dec 2021 14:53:44 +0000

=== debian/control ===
Source: giara
Maintainer: Federico Ceratto <federico@debian.org>
Section: utils
Priority: optional
Build-Depends: debhelper-compat (= 13),
 appstream,
 blueprint-compiler,
 cmake,
 dh-python,
 gobject-introspection (>= 1.35.9),
 libadwaita-1-dev,
 libgirepository1.0-dev,
 libglib2.0-0,
 libglib2.0-dev,
 libgtk-4-dev,
 meson,
 python3-all,
 python3-requests,
 python3-setuptools,
 python3-poetry-core
Standards-Version: 4.6.2
Homepage: https://gitlab.gnome.org/World/giara
Vcs-Git: https://salsa.debian.org/debian/giara.git
Vcs-Browser: https://salsa.debian.org/debian/giara
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: giara
Architecture: amd64 arm64 armel armhf hurd-i386 i386 ia64 mips64el mipsel ppc64el riscv64 sh4
Depends: ${misc:Depends}, ${python3:Depends},
 gir1.2-gtksource-4,
 gir1.2-webkit2-4.0,
 libhandy-1-0,
 python3-bs4,
 python3-dateutil,
 python3-mistune,
 python3-praw,
 python3-requests
Description: Reddit client optimized for mobile devices
 A client for Reddit that works well on a small screen.
 Written in Python with GTK/Libhandy.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=giara
export DH_VERBOSE=1

%:
	dh $@ --with=python3 --with gir

override_dh_auto_clean:
	rm -rf build debian/giara
	dh_auto_clean

override_dh_auto_test:
	true

## giara 1.1.0

=== debian/changelog ===
giara (1.1.0-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * New upstream release
  * Add patch to fix build with latest blueprint (Closes: #1051091)
  * Set Architecture: all (Closes: #1061056)
  * Add libxml2-utils to Build-Depends
  * Drop unneeded Build-Depends: python3-poetry-core & add lintian override
  * Drop unused dependency on webkit2gtk
  * Update Depends for switch to GTK4 (Closes: #1036626)
  * debian/gitlab-ci.yml: Disable broken blhc

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 24 Jan 2024 16:00:02 -0500

=== debian/control ===
Source: giara
Maintainer: Federico Ceratto <federico@debian.org>
Section: utils
Priority: optional
Build-Depends: debhelper-compat (= 13),
 appstream,
 blueprint-compiler,
 dh-sequence-python3,
 libadwaita-1-dev (>= 1.3.0),
 libgirepository1.0-dev,
 libglib2.0-dev,
 libgtk-4-dev,
 libxml2-utils,
 meson
Standards-Version: 4.6.2
Homepage: https://gitlab.gnome.org/World/giara
Vcs-Git: https://salsa.debian.org/debian/giara.git
Vcs-Browser: https://salsa.debian.org/debian/giara
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: giara
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
 gir1.2-adw-1 (>= 1.3.0),
 gir1.2-gtksource-5,
 python3-bs4,
 python3-dateutil,
 python3-mistune,
 python3-praw,
 python3-requests
Description: Reddit client optimized for mobile devices
 A client for Reddit that works well on a small screen.
 Written in Python with GTK/Libhandy.

=== debian/watch ===
version=4
https://gitlab.gnome.org/World/giara/tags?sort=updated_desc archive/@ANY_VERSION@/giara-\d\S*@ARCHIVE_EXT@
